Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.nanocontainer.reflection
Class DefaultContainerRecorder

    java.lang.Object
      org.nanocontainer.reflection.DefaultContainerRecorder

All Implemented Interfaces:
  Serializable, ContainerRecorder

    public class DefaultContainerRecorder

extends Object
implements Serializable, ContainerRecorder

This class is serializable. The original container will not be serialized (for performance reasons), but the invocations will, so they can be replayed at the other end of the wire.

Author:
  Konstantin Pribluda ( konstantin.pribluda(at)infodesire.com ), Aslak Hellesøy, Mauro Talevi
See Also:
  Serialized Form

Constructor Summary
`DefaultContainerRecorder(org.picocontainer.MutablePicoContainer container)`

Method Summary
`org.picocontainer.MutablePicoContainer` | `getContainerProxy()` Creates a new proxy that will forward all method invocations to the container passed to the constructor.
`void` | `replay(org.picocontainer.MutablePicoContainer target)` Replay recorded invocations on target container

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DefaultContainerRecorder

    public DefaultContainerRecorder(org.picocontainer.MutablePicoContainer container)

Method Detail

### getContainerProxy

    public org.picocontainer.MutablePicoContainer getContainerProxy()

  Description copied from interface: `ContainerRecorder`
  Creates a new proxy that will forward all method invocations to the container passed to the constructor. All method invocations are recorded so that they can be replayed on a different container.

  Specified by:
    `getContainerProxy` in interface `ContainerRecorder`
  Returns:
    a recording container proxy
  See Also:
    `ContainerRecorder.replay(org.picocontainer.MutablePicoContainer)`

### replay

    public void replay(org.picocontainer.MutablePicoContainer target)

  Description copied from interface: `ContainerRecorder`
  Replay recorded invocations on target container

  Specified by:
    `replay` in interface `ContainerRecorder`
  Parameters:
    `target` - container where the invocations should be replayed.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2003-2007 Codehaus. All Rights Reserved.